[hackers] [farbfeld] Fix 2ff stderr-redirect || FRIGN
commit b1868127e4102b2e073750c7f55fd445bee028be
Author: FRIGN <dev_AT_frign.de>
AuthorDate: Tue Jan 5 20:41:57 2016 +0100
Commit: FRIGN <dev_AT_frign.de>
CommitDate: Tue Jan 5 20:41:57 2016 +0100
Fix 2ff stderr-redirect
Thanks izabera for spotting this!
diff --git a/2ff b/2ff
index 19946df..6d89499 100755
--- a/2ff
+++ b/2ff
_AT_@ -12,13 +12,13 @@ FORMAT=$(file -ib $TMP | cut -d ";" -f 1);
case "$FORMAT" in
image/png) png2ff < $TMP; ret=$? ;;
image/jpeg) jpg2ff < $TMP; ret=$? ;;
- *) xconvert $TMP png:- 2&>/dev/null | png2ff 2&>/dev/null; ret=$? ;;
+ *) xconvert $TMP png:- 2>/dev/null | png2ff 2>/dev/null; ret=$? ;;
esac
rm $TMP;
if [ $ret -ne 0 ]; then
- printf "%s: failed to convert %s\n" "$0" "$FORMAT" 1>&2;
+ printf "%s: failed to convert %s\n" "$0" "$FORMAT" >&2;
fi
exit $ret;
Received on Tue Jan 05 2016 - 20:42:20 CET
This archive was generated by hypermail 2.3.0
: Tue Jan 05 2016 - 20:48:12 CET